//
//  AsReaderAsk.h
//  JvmaSDK
//
//  Created by DS.Zhang on 2017/2/14.
//  Copyright © 2017年 MRX_DS.Zhang. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "JvmaText.h"

@protocol AsReaderAskStatusDelegate <NSObject>
@optional
- (void)onReceivedConnectedState:(BOOL)isConnected;
- (void)onReceivedBatteryState:(int)gauge;
- (void)onReceivedTriggerState:(BOOL)isTriggerDown;

- (void)onReceivedPowerState:(BOOL)isOn beep:(BOOL)isBeep vib:(BOOL)isVib led:(BOOL)isLed;
- (void)onReceivedReaderSettingBeep:(BOOL)isOn Vib:(BOOL)isVib Led:(BOOL)isLed;

@end
@protocol AsReaderAskDataDelegate <NSObject>
@optional
- (void)onReceivedFromModule:(NSData*)rawData;
@end
@interface AsReaderAsk : NSObject
@property (nonatomic, assign, readonly) BOOL isConnected;
@property (nonatomic, weak) id<AsReaderAskStatusDelegate>        statusDelegate;
@property (nonatomic, weak) id<AsReaderAskDataDelegate>          dataDelegate;

+ (AsReaderAsk *)sharedAsReaderAsk;

- (BOOL)sendPowerOn:(BOOL)isOn setBeep:(BOOL)isBeep setVib:(BOOL)isVib setLed:(BOOL)isLED;
- (BOOL) sendSettingBeep:(BOOL)isBeep setVib:(BOOL)isVib setLed:(BOOL)isLED;

- (void)setAsReaderAskLogOn:(BOOL)on;
- (void)setTriggerModeDefault:(BOOL)isDefault;

- (BOOL)sendData:(NSData *)data;

@end
