//
//  JvmaDataId.h
//  JvmaSDK
//
//  Created by DS.Zhang on 2017/2/20.
//  Copyright © 2017年 MRX_DS.Zhang. All rights reserved.
//

#import <Foundation/Foundation.h>
typedef NS_ENUM(NSInteger, JvmaDataIdCode) {
    VmIdentifyCode          = 0x0A1A, //識別コード指定レコード（HTからVMへの転送データ）
    CommunicationCommand    = 0x0AA0, //交信コマンドレコード（HTからVMへの転送データ）
    ClearStutas             = 0x0AA1, //クリア状態データレコード（VMからHTへの転送データ）
    VmTime                  = 0x0BA0, //時刻レコード（HTからVMへの転送データ）
    ManageData              = 0x0BA1, //自販機管理データレコード（HTからVMへ、VMからHTへの転送データ）
    IndividualData          = 0x0BB0, //自販機個別データレコード（VMからHTへの転送データ）
    VmFaultCode             = 0x0BB1, //故障コード履歴レコード（VMからHTへの転送データ）
    MonitorCode             = 0x0BB2, //モニターコード履歴レコード（VMからHTへの転送データ）
    OfflineLog              = 0x0BB3, //オフライン用交信LOGレコード（VMからHTへの転送データ）
    SetTotal                = 0x0BB4, //トータル集計レコード（VMからHTへの転送データ）
    SetTotalBackUp          = 0x0BB5, //トータル集計バックアップレコードVMからHTへの転送データ）
    PriceQuantity           = 0x0BB6, //価格別累計販売数レコード（VMからHTへの転送データ）
    DateQuantity            = 0x0BB7, //日別販売数レコード（VMからHTへの転送データ）
    MaterialKindCode        = 0x0BB8, //商材別コードレコード（カップ機）(VMからHTへ、HTからHTへの転送データ)
    SupMaterialKindCode     = 0x0BB9, //補材別コードレコードカップ機）(VMからHTへ、HTからHTへの転送データ)
    SaleAmount              = 0x0BBA, //部署別IDカード販売金額レコード(VMからHTへの転送データ）
    SaleAmountBackUp        = 0x0BBB, //部署別IDカード販売金額バックアップレコード(VMからHTへの転送データ）
    ShouhinCD               = 0x0BC0, //商品コードレコード（HTからVMへ、VMからHTへの転送データ)(VMからHTへの転送データ）（カップ機）（パッケージ商品機）
    KindCD                  = 0x0BC1, //分類コードレコード（パッケージ商品機）(VMからHTへ、HTからHTへの転送データ)
    CupKindCD               = 0x0BC2, //分類コードレコード（カップ機）(VMからHTへの転送データ）
    ColumnCashPrice         = 0x0BC3, //コラム別現金売り販売単価レコード(VMからHTへの転送データ）
    ColumnQuantity          = 0x0BC4, //コラム別販売数レコード(VMからHTへの転送データ）
    ColumnSaleOutTime       = 0x0BC5, //コラム別売切時間レコード（パッケージ商品機）(VMからHTへの転送データ）
    ColumnCardPrice         = 0x0BC6, //コラム別カード販売単価レコード(VMからHTへの転送データ）
    PrepayCardQuantity      = 0x0BC7, //コラム別プリペイドカード売り販売数レコード(VMからHTへの転送データ）
    PrepayCardSaleAmount    = 0x0BC8, //コラム別プリペイドカード・現金併用販売時カード売り金額レコード(VMからHTへの転送データ）
    IdCardQuantity          = 0x0BC9, //コラム別IDカード売り販売数レコード(VMからHTへの転送データ）
    FreeSaleQuantity        = 0x0BCA, //コラム別フリーベンド販売数レコード(VMからHTへの転送データ）
    InputCashQuantity       = 0x0BE0, //金種別投入枚数レコード(VMからHTへの転送データ）
    QuitCashQuantity        = 0x0BE1, //金種別排出枚数レコード(VMからHTへの転送データ）
    ChangEmptyTime          = 0x0BE2, //釣切時間レコード(VMからHTへの転送データ）
    VmRunTime               = 0x0BE3, //自販機稼働時間レコード(VMからHTへの転送データ）
    MonitorSaleOutTime      = 0x0BE4, //売切モニター時間レコード(VMからHTへの転送データ）（カップ機）
    MaterialSaleOutTime     = 0x0BE5, //商材別売切時間レコード(VMからHTへの転送データ）（カップ機）
    SupMaterialSaleOutTime  = 0x0BE6, //補材別売切時間レコード(VMからHTへの転送データ）（カップ機）
    LargeValueInputQuantity = 0x0BE7, //高額金種別投入枚数レコード(VMからHTへの転送データ）
    LargeValueQuitQuantity  = 0x0BE8, //高額金種別払出枚数レコード(VMからHTへの転送データ）
    LargeValueChangEmptyTime= 0x0BE9, //高額金種別釣切時間レコード(VMからHTへの転送データ）
    Total                   = 0x0C0A, //トータル累計レコード(VMからHTへの転送データ）
    TotalSaleQuantity       = 0x0C0B, //コラム別累計販売数レコード(VMからHTへの転送データ）
    OfflinePassword         = 0x0D0B, //オフラインシステム パスワード
    TerminalPassword        = 0x0D0D, //ターミナルパスワード
    CenterPasswordRecord    = 0x0D0C, //センターパスワードレコード

    //自販機〜ハンディターミナル間の交信仕様
#pragma mark F010-1 追加仕様版（2000円札・小額金種対応版）Ver.1.0.5
    InputMoneyQuantity      = 0x0BEA, //金種別投入枚数レコード２（VMからHTへの転送データ）
    ExhaustMoneyQuantity    = 0x0BEB, //金種別排出枚数レコード２（VMからセンターへの転送デー  タ）
    NoChangeTime            = 0x0BEC, //金種別釣切時間レコード２（VMからHTへの転送データ）
    
#pragma mark F010-2 追加仕様版（チャージ金額対応）Ver.1.0.0
    TotalRecords            = 0x0BBC, //トータル集計レコード２（VMからHTへの転送データ）
    DataBackupCD            = 0x0BBD, //トータル集計バックアップレコード２（VMからHTへの転送データ）
    CumulativeRecord        = 0x0C7A, //トータル累計レコード２（VMからHTへの転送データ）

#pragma mark F010-3 追加仕様版（マルチブランド対応版）Ver.1.0.0
    BrandNumberRecord       = 0x0BD0, //ブランド番号レコード（VMからHTへの転送データ）
    BrandNameRecord         = 0x0BD1, //ブランド名称レコード（VMからHTへの転送データ）
    AllBrandsRecord         = 0x0BD2, //ブランド別トータル集計レコード（VMからHTへの転送データ）
    AllBrandsDataBackupCD   = 0x0BD3, //ブランド別トータル集計バックアップレコード（VMからHTへの転送データ）
    DifferentBrandsSaleNum  = 0x0BD4, //ブランド別コラム別販売数（VMからHTへの転送データ）
    DifferentBrandsSalePrice= 0x0BD5, //ブランド別コラム別販売価格（VMからHTへの転送データ）
    BrandSalaQuantity       = 0x0BD6, //ブランド別販売数（VMからHTへの転送データ）
    TotalBrandRecord        = 0x0BDA, //ブランド別トータル累計レコード（VMからHTへの転送データ）
    OtherBrandSaleQuantity  = 0x0BDB, //ブランド別コラム別累計販売数（VMからHTへの転送データ）
    TotalBrandQuantity      = 0x0BDC, //ブランド別累計販売数（VMからHTへの転送データ）
    
#pragma mark F010-4 追加仕様版（売上集計機能追加）Ver.1.0.0
    DayTotalRecord1         = 0x0BBE, //当日トータル集計レコード（VMからHTへの転送データ）
    DayTotalRecord2         = 0x0BBF, //当日トータル集計レコード２（VMからHTへの転送データ）
    DayTotalSales           = 0x0BCC, //日別売上金累計レコード（VMからHTへの転送データ）
    
#pragma mark F010-5 追加仕様版（ルーレット対応版）Ver.1.0.0
    ColumnRouletteNumber    = 0x0BCD, //コラム別ルーレット当たり回数レコード（VMからHTへの転送データ）
    
#pragma mark F010-6 追加仕様版（高額商品対応版）Ver.1.0.0
    HighPriceSaleNumRecord  = 0x0BEF, //高額商品対応価格別累計販売数レコード（VMからセンターへの転送データ）
    HighPriceOtherSaleRecord= 0x0BED, //高額商品対応コラム別現金売り販売単価レコード（VMからセンターへの転送データ）
    HighPriceOtherCardSale  = 0x0BEE, //高額商品対応コラム別カード販売単価レコード（VMからセンターへの転送データ）

#pragma mark F010-7 追加仕様版（販売単価設定追加）Ver.1.0.0
    AnotherCashSaleSetRecord= 0x0CC0, //コラム別現金売り販売単価設定レコード（HTからVMへの転送データ）
    AnotherCardSaleSetRecord= 0x0CC1, //コラム別カード販売単価設定レコード（HTからVMへの転送データ）
    BrandOtherSalePrice     = 0x0CC2, //ブランド別コラム別販売単価設定レコード（HTからVMへの転送データ）
    CashSaleChangeRecord    = 0x0CC3, //現金売り販売単価変更履歴レコード（VMからHTへの転送データ）
    CardSalePriceChange     = 0x0CC4, //カード売り販売単価変更履歴レコード（VMからHTへの転送データ）
    BrandOtherSalePriceChange=0x0CC5, //ブランド別コラム別販売単価変更履歴レコード（VMからHTへの転送データ）
    
    VersionRecord           =0xFFFF,
    TestRecord              =0xEEEE
};
@interface JvmaDataId : NSObject
@property (nonatomic, assign ,readonly) JvmaDataIdCode code;
@property (nonatomic, strong ,readonly) NSString *hexStrCode;

- (instancetype)initWithDataIdCode:(JvmaDataIdCode)code;

- (instancetype)initWithHexStrCode:(NSString *)hexStrCode;
- (instancetype)initWithHexData:(NSData *)hexData;
@end
